# Project

## Install Supabase

1. Add the repository

```
# While https://github.com/supabase-community/supabase-kubernetes/pull/94 is not merged
git clone https://github.com/JarvusInnovations/supabase-kubernetes.git
```

2. Create secret

```
cat src-secret.yaml | kubeseal -o yaml --controller-name=sealed-secrets --controller-namespace=default | kubectl apply -f -
```

3. Check helm result

```
helm template supabase supabase-kubernetes/charts/supabase/ -f values.yaml
```

4. Install Supabase

```
helm install supabase supabase-kubernetes/charts/supabase/ -f values.yaml
```

## Links

- [HELM github repo](https://github.com/supabase-community/supabase-kubernetes/tree/main)